%header.navbar.navbar-gitlab.navbar-gitlab-new{ class: nav_header_class }
  %a.sr-only.gl-accessibility{ href: "#content-body", tabindex: "1" } Skip to content
  .container-fluid
    .header-content
      .title-container
        %h1.title
          = link_to root_path, title: 'Dashboard' do
            = brand_header_logo
            %span.logo-text.hidden-xs
              = render 'shared/logo_type.svg'

        - if current_user
          = render "layouts/nav/new_dashboard"
        - else
          = render "layouts/nav/new_explore"

      .navbar-collapse.collapse
        %ul.nav.navbar-nav
          %li.hidden-sm.hidden-xs
            = render 'layouts/search' unless current_controller?(:search)
          %li.visible-sm-inline-block.visible-xs-inline-block
            = link_to search_path, title: 'Search', aria: { label: "Search" }, data: {toggle: 'tooltip', placement: 'bottom', container: 'body'} do
              = icon('search')
          - if current_user
            - if session[:impersonator_id]
              %li.impersonation
                = link_to admin_impersonation_path, method: :delete, title: "Stop impersonation", aria: { label: 'Stop impersonation' }, data: { toggle: 'tooltip', placement: 'bottom', container: 'body' } do
                  = icon('user-secret fw')
            - if current_user.admin?
              %li
                = link_to admin_root_path, title: 'Admin area', aria: { label: "Admin area" }, data: {toggle: 'tooltip', placement: 'bottom', container: 'body'} do
                  = icon('wrench fw')
            = render 'layouts/header/new_dropdown'
            - if Gitlab::Sherlock.enabled?
              %li
                = link_to sherlock_transactions_path, title: 'Sherlock Transactions',
                  data: {toggle: 'tooltip', placement: 'bottom', container: 'body'} do
                  = icon('tachometer fw')
            %li
              = link_to assigned_issues_dashboard_path, title: 'Issues', aria: { label: "Issues" }, data: {toggle: 'tooltip', placement: 'bottom', container: 'body'} do
                = custom_icon('issues')
                - issues_count = assigned_issuables_count(:issues)
                %span.badge.issues-count{ class: ('hidden' if issues_count.zero?) }
                  = number_with_delimiter(issues_count)
            %li
              = link_to assigned_mrs_dashboard_path, title: 'Merge requests', aria: { label: "Merge requests" }, data: {toggle: 'tooltip', placement: 'bottom', container: 'body'} do
                = custom_icon('mr_bold')
                - merge_requests_count = assigned_issuables_count(:merge_requests)
                %span.badge.merge-requests-count{ class: ('hidden' if merge_requests_count.zero?) }
                  = number_with_delimiter(merge_requests_count)
            %li
              = link_to dashboard_todos_path, title: 'Todos', aria: { label: "Todos" }, class: 'shortcuts-todos', data: {toggle: 'tooltip', placement: 'bottom', container: 'body'} do
                = icon('check-circle fw')
                %span.badge.todos-count{ class: ('hidden' if todos_pending_count.zero?) }
                  = todos_count_format(todos_pending_count)
            %li.header-user.dropdown
              = link_to current_user, class: "header-user-dropdown-toggle", data: { toggle: "dropdown" } do
                = image_tag avatar_icon(current_user, 26), width: 26, height: 26, class: "header-user-avatar"
                = icon('chevron-down')
              .dropdown-menu-nav.dropdown-menu-align-right
                %ul
                  %li.current-user
                    .user-name.bold
                      = current_user.name
                    @#{current_user.username}
                  %li.divider
                  %li
                    = link_to "Profile", current_user, class: 'profile-link', data: { user: current_user.username }
                  %li
                    = link_to "Settings", profile_path
                  = render 'shared/user_dropdown_experimental_features'
                  %li.divider
                  %li
                    = link_to "Sign out", destroy_user_session_path, method: :delete, class: "sign-out-link"
          - else
            %li
              %div
                = link_to "Sign in", new_session_path(:user, redirect_to_referer: 'yes'), class: 'btn btn-sign-in btn-success'

      %button.navbar-toggle.hidden-sm.hidden-md.hidden-lg{ type: 'button' }
        %span.sr-only Toggle navigation
        = icon('ellipsis-v', class: 'js-navbar-toggle-right')
        = icon('times', class: 'js-navbar-toggle-left')

= render 'shared/outdated_browser'
